summaryrefslogtreecommitdiff
path: root/sbin
diff options
context:
space:
mode:
authorChristian Heim <phreak@gentoo.org>2006-05-02 14:37:46 +0000
committerChristian Heim <phreak@gentoo.org>2006-05-02 14:37:46 +0000
commit195eba806279ebfe643e076704e02aa54bff99a8 (patch)
tree72a2b6eff27167332e4f1daf63c6bfd452ed3ed6 /sbin
parentMerging r2014 (diff)
downloadbaselayout-vserver-195eba806279ebfe643e076704e02aa54bff99a8.tar.gz
baselayout-vserver-195eba806279ebfe643e076704e02aa54bff99a8.tar.bz2
baselayout-vserver-195eba806279ebfe643e076704e02aa54bff99a8.zip
Merging baselayout r2022 for branches/rc-scripts_1_6, branches/baselayout-1_12 and trunk
svn path=/baselayout-vserver/trunk/; revision=350
Diffstat (limited to 'sbin')
-rwxr-xr-xsbin/functions.sh4
-rwxr-xr-xsbin/runscript.sh5
2 files changed, 5 insertions, 4 deletions
diff --git a/sbin/functions.sh b/sbin/functions.sh
index e8d2d4e..423ada6 100755
--- a/sbin/functions.sh
+++ b/sbin/functions.sh
@@ -610,10 +610,10 @@ is_older_than() {
shift
for x in "$@" ; do
- [[ ${x} -nt "${ref}" ]] && return 0
-
if [[ -d ${x} ]] ; then
is_older_than "${ref}" "${x}"/* && return 0
+ elif [[ ${x} -nt ${ref} ]] ; then
+ return 0
fi
done
diff --git a/sbin/runscript.sh b/sbin/runscript.sh
index 9614529..a54ff67 100755
--- a/sbin/runscript.sh
+++ b/sbin/runscript.sh
@@ -27,13 +27,14 @@ myservice="${SVCNAME}"
# until after rc sysinit has completed so we punt them to the boot runlevel
if [[ -e /dev/.rcsysinit ]] ; then
eerror "ERROR: cannot run ${SVCNAME} until sysinit completes"
- [[ ${RC_COLDPLUG} == "no" ]] && exit 1
- if [[ ${RC_COLDPLUG} != "yes" ]] ; then
+ [[ "${RC_COLDPLUG} " == "!* "* ]] && exit 1
+ if [[ "${RC_COLDPLUG} " != "* "* ]] ; then
for x in ${RC_COLDPLUG} ; do
# We don't quote ${x} so we can do globbing
[[ ${SVCNAME} == ${x} ]] && break
[[ "!${SVCNAME}" == ${x} ]] && exit 1
done
+ [[ ${SVCNAME} == ${x} ]] || exit 1
fi
eerror "${SVCNAME} will be started in the ${BOOTLEVEL} runlevel"
if [[ ! -L /dev/.rcboot/"${SVCNAME}" ]] ; then